operator *
Prev | Chapter 16. Db_map_iterator | Next

## operator *

### Function Details

    reference operator *() const

Dereference operator.

Return the reference to the cached data element, which is an pair<Key_type, ElementRef<T> > object if T is a class type or an pair<Key_type, ElementHolder<T> > object if T is a C++ primitive data type.

#### Return Value

Current data element reference object, i.e. ElementHolder or ElementRef object.

### Class

db_map_iterator

Prev | Up | Next
operator-- | Home | operator->